/*
 * This file is part of LinkPred.
 *
 * LinkPred: A high performance library for link prediction in complex networks.
 * Copyright (C) 2017  by Said Kerrache.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

/**
 * \file
 * @ingroup GraphAlg
 * @brief Includes the headers related to network encoders.
 */

#ifndef ENCODERS_HPP_
#define ENCODERS_HPP_

#include "linkpred/graphalg/encoders/encoder.hpp"
#include "linkpred/graphalg/encoders/node2vec/node2vec.hpp"
#include "linkpred/graphalg/encoders/hmsm/hmsm.hpp"
#include "linkpred/graphalg/encoders/largevis/largevis.hpp"
#include "linkpred/graphalg/encoders/lem/lem.hpp"
#include "linkpred/graphalg/encoders/line/line.hpp"
#include "linkpred/graphalg/encoders/lle/lle.hpp"
#include "linkpred/graphalg/encoders/matfact/matfact.hpp"
#include "linkpred/graphalg/encoders/matfact/matfactcg.hpp"
#include "linkpred/graphalg/encoders/deepwalk/deepwalk.hpp"

#endif /* ENCODERS_HPP_ */
