/*
 * This file is part of LinkPred.
 *
 * LinkPred: A high performance library for link prediction in complex networks.
 * Copyright (C) 2017  by Said Kerrache.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

/**
 * \file
 * @ingroup ML
 * @brief Includes the headers related to classifiers.
 */

#ifndef CLASSIFIERS_HPP_
#define CLASSIFIERS_HPP_

#include "linkpred/ml/classifiers/classifier.hpp"
#include "linkpred/ml/classifiers/ffn/ffn.hpp"
#include "linkpred/ml/classifiers/logistic/logisticregresser.hpp"
#include "linkpred/ml/classifiers/linearsvm/linearsvm.hpp"
#include "linkpred/ml/classifiers/naivebayes/naivebayes.hpp"
#include "linkpred/ml/classifiers/rndclassifier/rndclassifier.hpp"

#endif /* CLASSIFIERS_HPP_ */
