/*
 * This file is part of LinkPred.
 *
 * LinkPred: A high performance library for link prediction in complex networks.
 * Copyright (C) 2017  by Said Kerrache.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

/**
 * \file
 * @ingroup Numerical
 * @brief Includes the headers related to numerical algorithms.
 */

#ifndef NUMERICAL_HPP_
#define NUMERICAL_HPP_

/**
 * @defgroup Numerical Numerical classes and algorithms
 * This group contains classes related to numerical data structures and algroithms.
 */

#include "linkpred/numerical/mf/fastsig.hpp"
#include "linkpred/numerical/mds/logmdscg.hpp"
#include "linkpred/numerical/mds/mds.hpp"
#include "linkpred/numerical/linear/gfmatrix.hpp"
#include "linkpred/numerical/linear/vec.hpp"
#include "linkpred/numerical/cg/cgblas.hpp"
#include "linkpred/numerical/cg/cgdescent.hpp"
#include "linkpred/numerical/plfit/plfit.hpp"

#endif /* NUMERICAL_HPP_ */
