/*
 * This file is part of LinkPred.
 *
 * LinkPred: A high performance library for link prediction in complex networks.
 * Copyright (C) 2017  by Said Kerrache.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see "https://www.gnu.org/licenses/".
 */

/**
 * \file
 * @ingroup Predictors
 * @brief Includes the headers of link predictors for directed networks.
 */

#ifndef DIRECTED_HPP_
#define DIRECTED_HPP_

#include "linkpred/predictors/directed/dadapredictor.hpp"
#include "linkpred/predictors/directed/dcnepredictor.hpp"
#include "linkpred/predictors/directed/dhdipredictor.hpp"
#include "linkpred/predictors/directed/dhpipredictor.hpp"
#include "linkpred/predictors/directed/djidpredictor.hpp"
#include "linkpred/predictors/directed/dlcppredictor.hpp"
#include "linkpred/predictors/directed/dlhnpredictor.hpp"
#include "linkpred/predictors/directed/dlpredictor.hpp"
#include "linkpred/predictors/directed/dpatpredictor.hpp"
#include "linkpred/predictors/directed/dpstpredictor.hpp"
#include "linkpred/predictors/directed/dsaipredictor.hpp"
#include "linkpred/predictors/directed/dsoipredictor.hpp"

#endif /* DIRECTED_HPP_ */
