/*
 * This file is part of LinkPred.
 *
 * LinkPred: A high performance library for link prediction in complex networks.
 * Copyright (C) 2017  by Said Kerrache.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see "https://www.gnu.org/licenses/".
 */

/**
 * \file
 * @ingroup Predictors
 * @brief Includes the headers of link predictors for undirected networks.
 */

#ifndef UNDIRECTED_HPP_
#define UNDIRECTED_HPP_

#include "linkpred/predictors/undirected/uesmpredictor.hpp"
#include "linkpred/predictors/undirected/ueclpredictor.hpp"
#include "linkpred/predictors/undirected/uadapredictor.hpp"
#include "linkpred/predictors/undirected/ucnepredictor.hpp"
#include "linkpred/predictors/undirected/ucrapredictor.hpp"
#include "linkpred/predictors/undirected/ucstpredictor.hpp"
#include "linkpred/predictors/undirected/ufbmpredictor.hpp"
#include "linkpred/predictors/undirected/uhdipredictor.hpp"
#include "linkpred/predictors/undirected/uhpipredictor.hpp"
#include "linkpred/predictors/undirected/uhrgpredictor.hpp"
#include "linkpred/predictors/undirected/uhyppredictor.hpp"
#include "linkpred/predictors/undirected/ujidpredictor.hpp"
#include "linkpred/predictors/undirected/ukabpredictor.hpp"
#include "linkpred/predictors/undirected/ulcppredictor.hpp"
#include "linkpred/predictors/undirected/ulhnpredictor.hpp"
#include "linkpred/predictors/undirected/ulpredictor.hpp"
#include "linkpred/predictors/undirected/unedpredictor.hpp"
#include "linkpred/predictors/undirected/upatpredictor.hpp"
#include "linkpred/predictors/undirected/upstpredictor.hpp"
#include "linkpred/predictors/undirected/uralpredictor.hpp"
#include "linkpred/predictors/undirected/urndpredictor.hpp"
#include "linkpred/predictors/undirected/usaipredictor.hpp"
#include "linkpred/predictors/undirected/usbmpredictor.hpp"
#include "linkpred/predictors/undirected/ushppredictor.hpp"
#include "linkpred/predictors/undirected/usoipredictor.hpp"
#include "linkpred/predictors/undirected/usumpredictor.hpp"

#endif /* UNDIRECTED_HPP_ */
