/*
 * This file is part of LinkPred.
 *
 * LinkPred: A high performance library for link prediction in complex networks.
 * Copyright (C) 2017  by Said Kerrache.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

/**
 * \file
 * @ingroup Utils
 * @brief Includes the headers related to utility classes.
 */

#ifndef UTILS_HPP_
#define UTILS_HPP_

/**
 * @defgroup Utils Utility functions and classes
 * This group contains various utility functions and classes.
 */

#include <linkpred/utils/miscutils.hpp>
#include "linkpred/utils/log.hpp"
#include "linkpred/utils/loglevel.hpp"
#include "linkpred/utils/randomgen.hpp"

#endif /* INCLUDE_UTILS_HPP_ */
